Skip to main content
List models for an organization
curl --request GET \
  --url https://api.ionworks.com/models
{
  "items": [
    {
      "name": "<string>",
      "id": "<string>",
      "user_id": "<string>",
      "organization_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "is_custom_model": true,
      "description": "<string>",
      "pybamm_version": "<string>",
      "created_by_email": "<string>"
    }
  ],
  "count": 123,
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

items
Model · object[]
required
count
integer
required
total
integer
required